package com.starbuds.server.service.rtc;

import com.starbuds.server.service.rtc.rocket.RocketConsumer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import javax.annotation.Resource;
import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * Springboot 入口
 *
 * @author Lay
 * @date 2020/7/6
 */
@SpringBootApplication
@Slf4j
public class Application implements CommandLineRunner {
    public static void main(String[] args) {
        System.setProperty("app.name", "service-rtc");
        try {
            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[service-rtc] started.");
        log.info("[service-rtc] version 20211009");
    }

    @Resource
    RocketConsumer rocketConsumer;

    @Override
    public void run(String... args) throws Exception {
        rocketConsumer.start();
    }
}
