package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.FacialExpressionDO;
import com.starbuds.server.common.pojo.rtc.FacialExpression;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/31
 */
@Mapper
@Repository
public interface FacialExpressionDAO {
    /**
     * 查询表情列表
     *
     * @return
     */
    List<FacialExpression> selectAll();

    /**
     * 根据 id 统计
     *
     * @param expId
     * @return
     */
    int countById(@Param("expId") Integer expId);

    /**
     * 查询 URL
     *
     * @param expId
     * @return
     */
    String selectExpUrl(@Param("expId") Integer expId);

    /**
     * 根据id查询
     *
     * @param expId
     * @return
     */
    FacialExpressionDO selectById(@Param("expId") Integer expId);
}
