package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcBattleRoomCrossDO;
import com.starbuds.server.common.pojo.rtc.RtcBattleRoomCrossVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/7/6
 */
@Repository
@Mapper
public interface RtcBattleRoomCrossDAO {
    /**
     * 创建记录
     *
     * @param rtcBattleRoomCrossDO
     * @return
     */
    int insert(RtcBattleRoomCrossDO rtcBattleRoomCrossDO);

    /**
     * 更新 PK 状态
     *
     * @param battleId
     * @param battleStatus
     * @param whereBattleStatus
     * @param finishTime
     * @return
     */
    int updateStatus(@Param("battleId") Long battleId, @Param("battleStatus") Integer battleStatus, @Param("whereBattleStatus") Integer whereBattleStatus, @Param("finishTime") Long finishTime);

    /**
     * 根据主键查询
     *
     * @param battleId
     * @return
     */
    RtcBattleRoomCrossDO selectById(Long battleId);

    /**
     * 根据主键查询
     *
     * @param battleId
     * @return
     */
    RtcBattleRoomCrossVO selectViewById(Long battleId);

    /**
     * 更新 PK 结果
     *
     * @param battleId
     * @param battleResult
     * @param leftCampScore
     * @param rightCampScore
     * @return
     */
    int updateResult(@Param("battleId") Long battleId, @Param("battleResult") int battleResult, @Param("leftCampScore") long leftCampScore, @Param("rightCampScore") long rightCampScore, @Param("leftCampFlow") long leftCampFlow, @Param("rightCampFlow") long rightCampFlow);

    /**
     * 查询列表
     *
     * @param roomId
     * @param pageCursor
     * @param pageSize
     * @return
     */
    List<RtcBattleRoomCrossVO> selectAll(@Param("roomId") Long roomId, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 根据房间标识统计
     *
     * @param roomId
     * @return
     */
    @Select("SELECT COUNT(0) FROM tb_rtc_battle_room_cross WHERE (roomId = #{roomId} or targetRoomId = #{roomId}) and battleStatus = 301")
    int countByRoomId(@Param("roomId") Long roomId);

    @Select("SELECT roomId, targetRoomId FROM tb_rtc_battle_room_cross WHERE battleId = #{battleId}")
    RtcBattleRoomCrossDO selectRoomIds(@Param("battleId") Long battleId);
}
