package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomBlackDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomBlack;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/14 17:05
 * @Description 房间黑名单持久层
 */
@Mapper
@Repository
public interface RtcRoomBlackDAO {

    /**
     * 保存或更新
     *
     * @param blackDO
     * @return
     */
    int insertOrUpdate(RtcRoomBlackDO blackDO);

    /**
     * 判断是否存在
     *
     * @param roomId
     * @param userId
     * @param status
     * @return
     */
    int isExist(@Param("roomId") Long roomId, @Param("userId") Long userId, @Param("status") Integer status);

    /**
     * 获取黑名单列表
     *
     * @param pageCursor
     * @param pageSize
     * @param roomId
     * @param userNo
     * @return
     */
    List<RtcRoomBlack> selectBlackList(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("roomId") Long roomId, @Param("userNo") Long userNo);

    /**
     * 获取黑名单列表大小
     *
     * @param roomId
     * @param userNo
     * @return
     */
    int countBlackList(@Param("roomId") Long roomId, @Param("userNo") Long userNo);

    /**
     * 获取黑名单
     *
     * @param roomId
     * @param userId
     * @return
     */
    RtcRoomBlackDO selectById(@Param("roomId") Long roomId, @Param("userId") Long userId);

}
