package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomFavDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomListItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/10
 */
@Mapper
@Repository
public interface RtcRoomFavDAO {
    /**
     * 创建或更新
     *
     * @param rtcRoomFavDO
     * @return
     */
    int insertOrUpdate(RtcRoomFavDO rtcRoomFavDO);

    /**
     * 更新状态
     *
     * @param roomId
     * @param userId
     * @param status
     * @param updateTime
     * @return
     */
    int updateStatus(@Param("roomId") Long roomId, @Param("userId") Long userId, @Param("status") int status, @Param("updateTime") long updateTime);

    /**
     * 查询房间列表
     *
     * @param pageCursor
     * @param pageSize
     * @param userId
     * @return
     */
    List<RtcRoomListItem> selectListItems(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("userId") Long userId);

    /**
     * 统计房间数量
     *
     * @param userId
     * @return
     */
    int countByUserId(@Param("userId") Long userId);

    /**
     * 根据 id 统计
     *
     * @param roomId
     * @param userId
     * @return
     */
    int countById(@Param("roomId") Long roomId, @Param("userId") Long userId);

    /**
     * 根据 id 去重用户统计
     *
     * @param roomId
     * @return
     */
    int countDistinctById(@Param("roomId") Long roomId, @Param("startTime") Long startTime);
}
