package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomForbiddenDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomForbidden;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/7/14 17:12
 * @Description 房间禁言持久层
 */
@Mapper
@Repository
public interface RtcRoomForbiddenDAO {

    /**
     * 保存或更新
     *
     * @param hisDO
     * @return
     */
    int insertOrUpdate(RtcRoomForbiddenDO hisDO);

    /**
     * 获取记录
     *
     * @param roomId
     * @param userId
     * @return
     */
    RtcRoomForbiddenDO selectById(@Param("roomId") Long roomId, @Param("userId") Long userId);

    /**
     * 获取禁言列表
     *
     * @param pageCursor
     * @param pageSize
     * @param roomId
     * @return
     */
    List<RtcRoomForbidden> selectForbiddenList(@Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize, @Param("roomId") Long roomId);

    /**
     * 获取禁言列表大小
     *
     * @param roomId
     * @return
     */
    int countForbiddenList(@Param("roomId") Long roomId);
}
