package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomJoinHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/8/12
 */
@Mapper
@Repository
public interface RtcRoomJoinHisDAO {
    /**
     * 创建记录
     *
     * @param rtcRoomJoinHisDO
     * @return
     */
    int insert(RtcRoomJoinHisDO rtcRoomJoinHisDO);

    /**
     * 查询用户最近一次加入房间的时间
     *
     * @return
     */
    Long selectUserRecentJoinRoomTime(@Param("roomId") Long roomId, @Param("userId") Long userId, @Param("startTime") Long startTime);

    /**
     * 获取人进房历史
     *
     * @param userId
     * @param limit
     * @return
     */
    List<RtcRoomJoinHisDO> getUserJoinHis(@Param("userId") Long userId, @Param("limit") int limit);
}
