package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomStayLogDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 用户三分钟停留人数记录 Mapper
 */
@Mapper
@Repository
public interface RtcRoomStayLogDAO {

    /**
     * 插入数据
     */
    int insert(RtcRoomStayLogDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<RtcRoomStayLogDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(RtcRoomStayLogDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    RtcRoomStayLogDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<RtcRoomStayLogDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<RtcRoomStayLogDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, RtcRoomStayLogDO> selectMapByIds(@Param("ids") Collection ids);

}