package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomSuggestDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 推荐语聊房间 Mapper
 */
@Mapper
@Repository
public interface RtcRoomSuggestDAO {

    /**
     * 插入数据
     */
    int insert(RtcRoomSuggestDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<RtcRoomSuggestDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(RtcRoomSuggestDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    RtcRoomSuggestDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<RtcRoomSuggestDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<RtcRoomSuggestDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("rtcRoomSuggestId")
    Map<Long, RtcRoomSuggestDO> selectMapByIds(@Param("ids") Collection ids);

}