package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.WishUserTaskGiftHisDO;
import com.starbuds.server.common.pojo.daoplus.QueryWrapper;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 许愿任务用户送礼表 Mapper
 */
@Mapper
@Repository
public interface WishUserTaskGiftHisDAO {

    /**
     * 插入数据
     */
    int insert(WishUserTaskGiftHisDO po);

    /**
     * 插入批量数据
     */
    int insertBatch(List<WishUserTaskGiftHisDO> list);

    /**
     * 插入或更新数据
     */
    int insertOrUpdate(WishUserTaskGiftHisDO po);

    /**
     * 更新数据
     */
    int update(UpdateWrapper uw);

    /**
     * 查询一条记录
     */
    WishUserTaskGiftHisDO selectOne(QueryWrapper qw);

    /**
     * 查询所有记录
     */
    List<WishUserTaskGiftHisDO> selectList(QueryWrapper qw);

    /**
     * 查询总数
     */
    int selectCount(QueryWrapper qw);

    /**
     * 查询列表(分页)
     */
    List<WishUserTaskGiftHisDO> selectPageList(QueryWrapper qw);

    /**
     * 根据ids获得 DO Map
     *
     * @param ids id集合
     * @return Map<主键, DO对象>
     */
    @MapKey("hisId")
    Map<Long, WishUserTaskGiftHisDO> selectMapByIds(@Param("ids") Collection ids);

}