package com.starbuds.server.service.rtc.impl;

import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.db.RtcRoomAuctionHisDO;
import com.starbuds.server.common.pojo.rtc.qo.RtcRoomAuctionHisPageListQO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.common.service.rtc.RtcRoomAuctionHisService;
import com.starbuds.server.service.rtc.provider.RtcRoomAuctionHisProvider;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.Map;

/**
 * 拍卖房记录流水
 */
@Service(version = "1.0.0")
@Slf4j
public class RtcRoomAuctionHisServiceImpl implements RtcRoomAuctionHisService {

    /**
     * 主键
     */
    private String PRIMARY_KEY = "hisId";

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    @Resource
    private RtcRoomAuctionHisProvider rtcRoomAuctionHisProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public RtcRoomAuctionHisDO create(RtcRoomAuctionHisDO po) {
        return rtcRoomAuctionHisProvider.create(po);
    }

    @Override
    public RtcRoomAuctionHisDO getById(Long id) {
        return rtcRoomAuctionHisProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return rtcRoomAuctionHisProvider.exist(id);
    }

    @Override
    public PageList<RtcRoomAuctionHisDO> getPageList(RtcRoomAuctionHisPageListQO qo) {
        return rtcRoomAuctionHisProvider.getPageList(qo);
    }

    @Override
    public Map<Long, RtcRoomAuctionHisDO> getMapByIds(Collection ids) {
        return rtcRoomAuctionHisProvider.getMapByIds(ids);
    }

    // 手动编码开始

}