package com.starbuds.server.service.rtc.impl;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.constant.common.BoolIntVal;
import com.starbuds.server.common.pojo.db.RtcRoomCoverAuditDO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.service.rtc.dao.RtcRoomCoverAuditDAO;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

import com.starbuds.server.common.service.rtc.RtcRoomCoverAuditService;

import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;

/**
 *
 */
@Service(version = "1.0.0")
@Slf4j
public class RtcRoomCoverAuditServiceImpl implements RtcRoomCoverAuditService {

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    @Resource
    private RtcRoomCoverAuditDAO rtcRoomCoverAuditDAO;

    @Override
    public RtcRoomCoverAuditDO create(RtcRoomCoverAuditDO po) {
        po.setHisId(identityService.getId());
        po.setCreateTime(System.currentTimeMillis());
        po.setUpdateTime(po.getCreateTime());
        po.setIsDeleted(BoolIntVal.False);
        boolean flag = rtcRoomCoverAuditDAO.insert(po) == 1;

        String json = JSON.toJSONString(po);
        if (flag) {
            log.info("创建成功 {}", json);
            return po;
        }
        log.warn("创建失败 {}", json);
        return null;
    }

    /**
     * 查询最新的审核记录
     *
     * @return
     */
    @Override
    public RtcRoomCoverAuditDO getLastestAuditingRecord(Long roomId) {
        return rtcRoomCoverAuditDAO.selectLastestAuditingRecord(roomId);
    }


    // 手动编码开始

}