package com.starbuds.server.service.rtc.impl;

import com.starbuds.server.common.pojo.db.WishDO;
import com.starbuds.server.service.rtc.provider.WishProvider;
import com.starbuds.server.common.pojo.rtc.qo.WishPageListQO;

import com.starbuds.server.common.pojo.api.PageList;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.starbuds.server.common.service.rtc.WishService;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 许愿表-由管理后台配置
 */
@Service(version = "1.0.0")
@Slf4j
public class WishServiceImpl implements WishService {

    @Resource
    private WishProvider wishProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public WishDO create(WishDO po) {
        return wishProvider.create(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<WishDO> list) {
        return wishProvider.createBatch(list);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createOrUpdate(WishDO po) {
        return wishProvider.createOrUpdate(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(WishDO po) {
        return wishProvider.updateById(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(UpdateWrapper uw) {
        return wishProvider.update(uw);
    }

    @Override
    public WishDO getById(Long id) {
        return wishProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return wishProvider.exist(id);
    }

    @Override
    public PageList<WishDO> getPageList(WishPageListQO qo) {
        return wishProvider.getPageList(qo);
    }

    @Override
    public Map<Long, WishDO> getMapByIds(Collection ids) {
        return wishProvider.getMapByIds(ids);
    }

    // 手动编码开始

    /**
     * 获取所有可用的许愿列表
     */
    @Override
    public List<WishDO> getAvailableList() {
        return wishProvider.getAvailableList();
    }

}