package com.starbuds.server.service.rtc.impl;

import com.alibaba.fastjson.JSON;
import com.starbuds.server.common.pojo.db.WishStatDO;
import com.starbuds.server.common.service.core.IdentityService;
import com.starbuds.server.service.rtc.dao.WishStatDAO;

import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

import com.starbuds.server.common.service.rtc.WishStatService;

import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 许愿统计表
 */
@Service(version = "1.0.0")
@Slf4j
public class WishStatServiceImpl implements WishStatService {

    @Resource
    private WishStatDAO wishStatDAO;

    @Reference(version = "1.0.0")
    private IdentityService identityService;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public WishStatDO create(WishStatDO po) {

        po.setStatId(identityService.getId());
        po.setCreateTime(System.currentTimeMillis());
        boolean flag = wishStatDAO.insert(po) == 1;

        String json = JSON.toJSONString(po);
        if (flag) {
            log.info("许愿统计表创建成功 {}", json);
            return po;
        }
        log.warn("许愿统计表创建失败 {}", json);
        return null;
    }
}