package com.starbuds.server.service.rtc.impl;

import com.starbuds.server.common.pojo.db.WishUserTaskGiftHisDO;
import com.starbuds.server.service.rtc.provider.WishUserTaskGiftHisProvider;

import com.starbuds.server.common.pojo.api.PageList;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

import com.starbuds.server.common.service.rtc.WishUserTaskGiftHisService;
import com.starbuds.server.common.pojo.daoplus.UpdateWrapper;

import org.apache.dubbo.config.annotation.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 许愿任务用户送礼表
 */
@Service(version = "1.0.0")
@Slf4j
public class WishUserTaskGiftHisServiceImpl implements WishUserTaskGiftHisService {

    @Resource
    private WishUserTaskGiftHisProvider wishUserTaskGiftHisProvider;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public WishUserTaskGiftHisDO create(WishUserTaskGiftHisDO po) {
        return wishUserTaskGiftHisProvider.create(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createBatch(List<WishUserTaskGiftHisDO> list) {
        return wishUserTaskGiftHisProvider.createBatch(list);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean createOrUpdate(WishUserTaskGiftHisDO po) {
        return wishUserTaskGiftHisProvider.createOrUpdate(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateById(WishUserTaskGiftHisDO po) {
        return wishUserTaskGiftHisProvider.updateById(po);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(UpdateWrapper uw) {
        return wishUserTaskGiftHisProvider.update(uw);
    }

    @Override
    public WishUserTaskGiftHisDO getById(Long id) {
        return wishUserTaskGiftHisProvider.getById(id);
    }

    @Override
    public boolean exist(Long id) {
        return wishUserTaskGiftHisProvider.exist(id);
    }

    @Override
    public Map<Long, WishUserTaskGiftHisDO> getMapByIds(Collection ids) {
        return wishUserTaskGiftHisProvider.getMapByIds(ids);
    }

}