package com.starbuds.server.service.rtc.provider;

import com.starbuds.server.common.pojo.data.NoticeConfigVO;
import com.starbuds.server.common.pojo.db.NoticeDO;
import com.starbuds.server.service.rtc.dao.NoticeConfigDAO;
import com.starbuds.server.service.rtc.dao.NoticeDAO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/29 18:06
 * @Description 通知
 */
@Slf4j
@Component
public class NoticeProvider {

    @Resource
    NoticeDAO noticeDAO;

    @Resource
    NoticeConfigDAO noticeConfigDAO;

    /**
     * 获取通知配置
     *
     * @param noticeId
     * @param quantity
     * @param value
     * @return
     */
    public NoticeConfigVO getNoticeConfig(Long noticeId, Integer quantity, Long value) {
        NoticeDO noticeDO = noticeDAO.selectById(noticeId);
        return noticeDO == null ? null : noticeConfigDAO.selectConfig(noticeId, noticeDO.getTriggerType(), quantity, value);
    }

}
