package com.starbuds.server.service.rtc.provider;

import com.starbuds.server.common.constant.cache.RedisRtcKeys;
import com.starbuds.server.common.pojo.rtc.RtcBattleStatus;
import com.starbuds.server.common.service.data.RedisService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/7/6
 */
@Slf4j
@Component
public class RtcBattleProvider {

    @Reference(version = "1.0.0")
    RedisService redisService;

    public RtcBattleStatus getBattleStatus(Long roomId) {
        String statusKey = RedisRtcKeys.getRtcBattleStatus(roomId);
        String status = redisService.get(statusKey);
        if (StringUtils.isNotBlank(status)) {
            return new RtcBattleStatus(status);
        }
        return null;
    }
}
