package com.starbuds.server.service.rtc.provider;

import cn.hutool.core.convert.Convert;
import com.starbuds.server.common.constant.cache.RedisRtcKeys;
import com.starbuds.server.common.constant.rtc.RtcLoveStage;
import com.starbuds.server.common.service.data.RedisService;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

import java.util.Optional;

/**
 * 相亲模式阶段服务
 *
 * @author Lay
 * @date 2020/7/22
 */
@Component
public class RtcLoveStageProvider {

    @Reference(version = "1.0.0")
    RedisService redisService;

    /**
     * 获取阶段
     *
     * @param roomId
     * @return
     */
    public int getStage(Long roomId) {
        return Optional.ofNullable(redisService.hashGet(RedisRtcKeys.RTC_LOVE_STAGE, String.valueOf(roomId))).map(Convert::toInt).orElse(RtcLoveStage.READY);
    }

    /**
     * 设置阶段
     *
     * @param roomId
     * @param stage
     * @return
     */
    public boolean setStage(Long roomId, int stage) {
        redisService.hashPut(RedisRtcKeys.RTC_LOVE_STAGE, String.valueOf(roomId), String.valueOf(stage));
        return true;
    }
}
