package com.starbuds.server.service.rtc.provider;

import com.starbuds.server.service.rtc.dao.RtcRoomCategoryDAO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.math.BigDecimal;

/**
 * 直播分类
 *
 * @author aoe
 * @date 2021/11/5
 */
@Component
@Slf4j
public class RtcRoomCategoryProvider {

    @Resource
    private RtcRoomCategoryDAO rtcRoomCategoryDAO;

    /**
     * 获得用户分成比例
     *
     * @param categoryId 类目id
     * @return
     */
    public BigDecimal getUserRatio(Long categoryId) {
        Double userRatio = rtcRoomCategoryDAO.selectUserRatio(categoryId);
        if (userRatio == null) {
            return null;
        }
        return BigDecimal.valueOf(userRatio);
    }
}
